library majesty;

import 'package:flutter/material.dart';
import 'package:majesty/MajestySwipeNav/swipenav_controller.dart';
import 'package:provider/provider.dart';

class MajestySwipeScaffold extends StatelessWidget {
  final Widget child;
  MajestySwipeScaffold({@required this.child}) : assert(child != null);

  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider.value(
      value: SwipeNavController(),
      child: Consumer<SwipeNavController>(
        builder: (_, bloc, __) => GestureDetector(
          child: child,
          onVerticalDragUpdate: (DragUpdateDetails details) {
            if (details.delta.dy > 0) {
              bloc.show = false;
            } else {
              bloc.show = true;
            }
          },
        ),
      ),
    );
  }
}
